#ifndef __lcddisp__H_
#define __lcddisp__H_

#define uchar unsigned char
#define uint unsigned int
sbit lcdrs=P1^5;
sbit lcdwr=P1^6;
sbit lcden=P1^7;
//****************************************1ms延时函数


void delayms(uint ms)
{
 uint y;
 while(ms--)
 	{for(y=0;y<125;y++);
	}
}												  //1MS延时


//******************************************LCD写指令 写数据
void write_comdata(uchar rs,uchar comdata)
{
	
	lcdrs=rs;						   // 0写指令，1写数据
	lcdwr=0;	
		
	P0=comdata;

	//delay(1);
	lcden=1;
	delayms(1);
	lcden=0;	
}

//***指针形式写一个字符串
void write_charchuan(uchar add,uchar *zfc)
{
	write_comdata(0,add);
	for(;*zfc!='\0';zfc++)
	{
	 write_comdata(1,*zfc);
	}

}
//******************************************LCD初始化
void lcdinitial()
{
	lcden=0;
	write_comdata(0,0x38);
	write_comdata(0,0x0c);
	write_comdata(0,0x06);
	write_comdata(0,0x01);
    write_comdata(0,0x80);		 //有问题 这里和下面‘这里’都要初始化显示地址 不然始终在0X80显示
}															  
//******************************************时钟日期显示初始化


#endif